Subject: Re: [PATCH 1/3] powerpc: Relocate prom_init.c on 64bit

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 05 Dec 2012 18:20:31 +1100

On Wed, 2012-12-05 at 11:07 +1100, Anton Blanchard wrote:
> Hi Ben,
> 
> > My only potential objection was that it might have been cleaner to
> > actually build prom_init.c as a separate binary alltogether and piggy
> > back it...
> 
> Yeah, I went through a number of options before settling on this one.

Heh, yeah, that what happens when nothing is fully satisfactory...

 .../...

> Build prom_init.c 32 bit, tack it onto the end of the vmlinux and
> add a trampoline at the start of the vmlinux.
> 
> This means a vmlinux will be bootable and profiling tools will work
> against it. Even so it feels gross to me.

It does, might be less gross to have prom_init.c be .incbin'ed in
vmlinux like the vdso is ... better than tacking it at the end. Still
makes it annoying to debug crashes in prom_init itself.

I'll review your patch when I get a chance as the "least bad"
solution :-)

Cheers,
Ben.